Subject: Re: bug#33729: 27.0.50; Partial glyphs not rendered for Gujarati with Harfbuzz enabled (renders fine using m17n)

From: Khaled Hosny <[email-masked]>
Date: Sat, 15 Dec 2018 00:47:43 +0200

On Fri, Dec 14, 2018 at 03:42:49PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 14 Dec 2018 13:03:16 +0200
> > From: Khaled Hosny <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked]
> > 
> > > FWIW, I looked at ftfont.c:uni_script, and I cannot find a problem
> > > with it; in particular looking up in char-script-table each character
> > > of the Gujarati welcome in HELLO yields 'gujarati', so I couldn't see
> > > any evident Emacs issue.  Or are you saying that hb_script_from_string
> > > doesn't DTRT?  Or maybe Kaushal should upgrade to a newer version of
> > > HarfBuzz?
> > 
> > There is this FIXME:
> > 
> > /* FIXME: from_string wants an ISO 15924 script tag here. */
> > 
> > As we discussed earlier, hb_script_from_string() expects ISO 15924
> > script tags, but char_script_table does not provide such tags (I don’t
> > recall what it does provide exactly). We need a way to get ISO 15924
> > script tags from Emacs.
> 
> Right, I forgot about that.
> 
> So you are saying that we need to generate Gujr instead of gujarati,
> is that right?

Yes (and the equivalent for all other scripts, of course).

Regards,
Khaled